%define		kdeframever	5.89
%define		qtver		5.9.0
%define		kfname		kmediaplayer
#
Summary:	Interface for media player KParts
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/portingAids/%{kfname}-%{version}.tar.xz
# Source0-md5:	f97a524f00c8932b076aa48f6902c4bc
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= 5.2.0
BuildRequires:	Qt5DBus-devel >= 5.2.0
BuildRequires:	Qt5Gui-devel >= 5.3.1
BuildRequires:	Qt5Network-devel >= 5.2.0
BuildRequires:	Qt5Test-devel >= 5.2.0
BuildRequires:	Qt5Widgets-devel >= 5.2.0
BuildRequires:	Qt5Xml-devel >= 5.2.0
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kparts-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KMediaPlayer builds on the KParts framework to provide a common
interface for KParts that can play media files.

This framework is a porting aid. It is not recommended for new
projects, and existing projects that use it are advised to port away
from it, and use plain KParts instead.


%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5MediaPlayer.so.5
%attr(755,root,root) %{_libdir}/libKF5MediaPlayer.so.*.*.*
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml
%{_datadir}/kservicetypes5/kmediaplayer-engine.desktop
%{_datadir}/kservicetypes5/kmediaplayer-player.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KMediaPlayer
%{_includedir}/KF5/kmediaplayer_version.h
%{_libdir}/cmake/KF5MediaPlayer
%{_libdir}/libKF5MediaPlayer.so
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kmediaplayer.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 357b035
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ee7a4ce
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> dbbf1bb
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> abd1aab
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c804d41
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9dd4005
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7efd3c7
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a1042f2
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> efbacb7
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7515efb
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f4f6950
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 028e360
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 76235a7
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> bc73b7d
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 807b036
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 72fd485
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> ae64e01
- updated to 5.53.0

* Sun Oct 22 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d07251d
- updated to 5.39.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b522d39
- up to 5.13.0

* Fri Jul 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0a74ff1
- new

